#
# spec file for package perl-Net-IP
#
# Copyright (c) 2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Net-IP
Version:        1.26
Release:        9.3
%define cpan_name Net-IP
Summary:        Perl extension for manipulating IPv4/IPv6 addresses
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MANU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         %{name}-1.25-zero_address.diff
Patch1:         ipcount-invalid_chars_in_IP.patch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl_Net-IP = %{version}
Obsoletes:      perl_Net-IP < %{version}
BuildArch:      noarch
%{perl_requires}

%description
This module provides functions to deal with *IPv4/IPv6* addresses. The
module can be used as a class, allowing the user to instantiate IP objects,
which can be single IP addresses, prefixes, or ranges of addresses. There
is also a procedural way of accessing most of the functions. Most
subroutines can take either *IPv4* or *IPv6* addresses transparently.

%prep
%autosetup -p1 -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes MANIFEST README
%license COPYING

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
- modified patches
  %% perl-Net-IP-1.25-zero_address.diff (refreshed)
* Wed Nov 13 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Update spec file:
  * Use https and metacpan.org in URL and source
  * Move COPYING to the license tag
  * Update summary and description sections
* Mon Nov 11 2019 Arjen de Korte <suse+build@de-korte.org>
- Change architecture to 'noarch'
* Wed Sep 16 2015 vcizek@suse.com
- ipcount: fix the use of + in the address range (boo#942108)
  * added ipcount-invalid_chars_in_IP.patch
  * added cpanspec.yml
* Fri Jul  3 2015 tchvatal@suse.com
- Cleanup the spec a bit to remove all not-needed parts
- Use spec-cleaner
* Sat Jun  8 2013 coolo@suse.com
- updated to 1.26
  - 81138 ip types
  - 80164 hexip does not change when ip changes (fix: hexformat needs to be cleared by set)
  - 4898 double compression
  - 73232 invalid ipv6 1:2:3:4:5:6:7
  - 73105 invalid ip 1:2
  - 73104 expand 1::2::3
  - 71042 ip_reverse 2001:4f8:3:36:0:0:0:235
  - 45165 ip_range_to_prefix updated documentation
  - 32232 excepts 61-217-102-8.hinet-ip.hinet.net as range
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Aug 21 2008 anicka@suse.cz
- fix undefined value (bnc#418946)
* Fri Dec 14 2007 anicka@suse.cz
- update to 1.25
  * Math::BigInt is now mandatory
  * Several bugfixes done
  * Bugfix in overlaps function
  * Updated Makefile
  * ran perltidy on the code
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 cthiel@suse.de
- update to version 1.23
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 31 2003 ro@suse.de
- update to 1.20 / package binaries
* Mon Jul 28 2003 ro@suse.de
- install to vendor locations
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Tue Apr 22 2003 schubi@suse.de
- initial
